Skip to main content
POST
/
api
/
v1
/
webhooks
/
transfer-notification
Transfer bildirimi webhook'u
curl --request POST \
  --url https://transfer-sandbox.payven.com.tr/api/v1/webhooks/transfer-notification \
  --header 'Authorization: Bearer <token>' \
  --header 'Content-Type: application/json' \
  --data '
{
  "external_key": "<string>",
  "shadow_card_number": "<string>",
  "product_ref_no": "<string>",
  "success": true,
  "error_description": "<string>",
  "channel_id": "<string>",
  "additional_data": {}
}
'
{
  "status": "<string>",
  "message": "<string>",
  "external_key": "<string>",
  "processed_at": "<string>"
}

Authorizations

Authorization
string
header
required

Identity servisinden alinan Keycloak JWT. Format: Authorization: Bearer <token>. Token alma: POST /api/v1/auth/{slug}/token

Headers

X-Webhook-Event
string
X-Webhook-Timestamp
string
X-Request-UserId
string

Body

application/json
external_key
string | null
shadow_card_number
string | null
product_ref_no
string | null
success
boolean
error_description
string | null
channel_id
string | null
additional_data
object

Response

OK

status
string | null
message
string | null
external_key
string | null
processed_at
string | null